# Make sure initddir is defined on el5 and possibly other distros
%{!?_initddir: %define _initddir %{_initrddir}}

# node.js make install always writes to  $prefix/lib, so use lib.
%define nodejs_libdir %{_exec_prefix}/lib

Name:           nodejs
Version:        0.6.20
Release:        1%{?dist}
Summary:        Platform for building fast, scalable network applications.
Group:          Applications/Internet
License:        BSD and MIT and ASL 2.0 and GPLv2
# See the LICENSE file for information on what license 
# goes with wich group of code
URL:            http://nodejs.org
Source0:        http://nodejs.org/dist/v%{version}/node-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python >= 2.4
BuildRequires: glibc-devel
BuildRequires: openssl-devel
BuildRequires: js-devel

%description
Node.js is a platform built on Chrome's JavaScript runtime for easily building
fast, scalable network applications. Node.js uses an event-driven, non-blocking
I/O model that makes it lightweight and efficient, perfect for data-intensive
real-time applications that run across distributed devices.

%prep
%setup -q -n node-v%{version}

%build
./configure --prefix=/usr
make -j 2

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/%{nodejs_libdir}/node_modules

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README.md
%{_bindir}/node
%{_bindir}/npm
%{_bindir}/node-waf
%{_includedir}/node
%{nodejs_libdir}/node
%attr(0755,-,-) %{nodejs_libdir}/node_modules
%{_mandir}/man1/node.1*

%changelog
* Mon Nov 05 2012 Adam Miller <admiller@redhat.com> 0.6.21-1
- Update to v0.6.20

* Tue Jun 12 2012 Brett Lentz <blentz@redhat.com> 0.6.19-1
- Updated to v0.6.19

* Thu Mar 22 2012 Troy Dawson <tdawson@redhat.com> 0.6.11-2
- Updated License section

* Tue Feb 28 2012 Troy Dawson <tdawson@redhat.com> 0.6.11-1
- Updated to upstream v0.6.11 to fix DOS bug
  http://nodejs.org/docs/v0.6.11/api/tls.html#client_initiated_renegotiation_attack_mitigation

* Mon Feb 06 2012 Ram Ranganathan <ramr@redhat.com> 0.6.10-1
- Initial packaging using upstream v0.6.10

